# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/File.pm) perl(IPC/Open2.pm) perl(Pod/Usage.pm) perl(Storable.pm) perl(TAP/Parser.pm) perl(TAP/Parser/Aggregator.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-TAP-Formatter-JUnit
Version:        0.09
Release:        alt1_4
Summary:        Harness output delegate for JUnit output
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/TAP-Formatter-JUnit/
Source0:        http://www.cpan.org/modules/by-module/TAP/TAP-Formatter-JUnit-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/NonMoose.pm)
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(TAP/Harness.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(XML/Generator.pm)
Source44: import.info

%description
This module provides JUnit output formatting for TAP::Harness (a replacement
for Test::Harness.

%prep
%setup -q -n TAP-Formatter-JUnit-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{_bindir}/tap2junit
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_3
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_1
- fc import

